---
date: 2015-12-16T09:24:56-07:00
title: "hugo new"
slug: hugo_new
url: /commands/hugo_new/
---
## hugo new

Create new content for your site

### Synopsis


Create a new content file and automatically set the date and title.
It will guess which kind of file to create based on the path provided.

You can also specify the kind with `-k KIND`.

If archetypes are provided in your theme or site, they will be used.

```
hugo new [path]
```

### Options

```
  -f, --format="toml": frontmatter format
  -k, --kind="": Content type to create
  -s, --source="": filesystem path to read files relative from
```

### Options inherited from parent commands

```
      --log[=false]: Enable Logging
      --logFile="": Log File path (if set, logging enabled automatically)
  -v, --verbose[=false]: verbose output
      --verboseLog[=false]: verbose logging
```

### SEE ALSO
* [hugo](/commands/hugo/)	 - hugo builds your site
* [hugo new site](/commands/hugo_new_site/)	 - Create a new site (skeleton)
* [hugo new theme](/commands/hugo_new_theme/)	 - Create a new theme

###### Auto generated by spf13/cobra on 16-Dec-2015
